Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#104 svn 469 right click history edit crashes sporadically

Development_Version
closed-fixed
rickyrockrat
None
5
2015-02-09
2013-09-29
katiem
No

Hi, I've been using parcellite svn 467 and it's been crash free. Even though I don't tend to use the 'edit history' function I still like to try everything out after updating parcellite, and I found I could (fairly easily yet sporadically) introduce a crash with the new right click history edit function. It seems to be when clearing the history box (leaving the box blank). I've just managed to make it crash several times in the past minute. Anyway, here's the backtrace from my xsession errors file for a start:

glibc detected parcellite: double free or corruption (out): 0x0893ebd0 ***
======= Backtrace: =========
/lib/libc.so.6(+0x6c0c1)[0x99f0c1]
/lib/libc.so.6(+0x6d930)[0x9a0930]
/lib/libc.so.6(cfree+0x6d)[0x9a3a1d]
/lib/libglib-2.0.so.0(g_free+0x36)[0x198486]
parcellite[0x804fc06]
parcellite[0x80506f5]
/usr/lib/libgtk-x11-2.0.so.0(+0x135284)[0x4ff284]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x192)[0xda7412]
/usr/lib/libgobject-2.0.so.0(+0x22b85)[0xdbdb85]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x5db)[0xdbee2b]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x32)[0xdbf452]
/usr/lib/libgtk-x11-2.0.so.0(+0x263a3a)[0x62da3a]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0xcd)[0x4f785d]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x307)[0x4f8c17]
/usr/lib/libgdk-x11-2.0.so.0(+0x5637a)[0xf8f37a]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1d5)[0x18f855]
/lib/libglib-2.0.so.0(+0x41668)[0x193668]
/lib/libglib-2.0.so.0(g_main_loop_run+0x187)[0x193ba7]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb9)[0x4f91d9]
parcellite[0x804f4ba]
/lib/libc.so.6(__libc_start_main+0xe7)[0x949ce7]
parcellite[0x804d571]
======= Memory map: ========
00110000-0014f000 r-xp 00000000 08:11 412290 /usr/lib/libpango-1.0.so.0.2800.2
0014f000-00150000 ---p 0003f000 08:11 412290 /usr/lib/libpango-1.0.so.0.2800.2
00150000-00151000 r--p 0003f000 08:11 412290 /usr/lib/libpango-1.0.so.0.2800.2
00151000-00152000 rw-p 00040000 08:11 412290 /usr/lib/libpango-1.0.so.0.2800.2
00152000-0021f000 r-xp 00000000 08:11 2097247 /lib/libglib-2.0.so.0.2600.1
0021f000-00220000 r--p 000cc000 08:11 2097247 /lib/libglib-2.0.so.0.2600.1
00220000-00221000 rw-p 000cd000 08:11 2097247 /lib/libglib-2.0.so.0.2600.1
00221000-00309000 r-xp 00000000 08:11 410921 /usr/lib/libgio-2.0.so.0.2600.1
00309000-0030b000 r--p 000e7000 08:11 410921 /usr/lib/libgio-2.0.so.0.2600.1
0030b000-0030c000 rw-p 000e9000 08:11 410921 /usr/lib/libgio-2.0.so.0.2600.1
0030c000-0030d000 rw-p 00000000 00:00 0
0030d000-0030f000 r-xp 00000000 08:11 409696 /usr/lib/libXinerama.so.1.0.0
0030f000-00310000 r--p 00001000 08:11 409696 /usr/lib/libXinerama.so.1.0.0
00310000-00311000 rw-p 00002000 08:11 409696 /usr/lib/libXinerama.so.1.0.0
00311000-0031d000 r-xp 00000000 08:11 409692 /usr/lib/libXi.so.6.1.0
0031d000-0031e000 r--p 0000b000 08:11 409692 /usr/lib/libXi.so.6.1.0
0031e000-0031f000 rw-p 0000c000 08:11 409692 /usr/lib/libXi.so.6.1.0
0031f000-00325000 r-xp 00000000 08:11 409716 /usr/lib/libXrandr.so.2.2.0
00325000-00326000 r--p 00005000 08:11 409716 /usr/lib/libXrandr.so.2.2.0
00326000-00327000 rw-p 00006000 08:11 409716 /usr/lib/libXrandr.so.2.2.0
00327000-0032f000 r-xp 00000000 08:11 409664 /usr/lib/libXcursor.so.1.0.2
0032f000-00330000 r--p 00007000 08:11 409664 /usr/lib/libXcursor.so.1.0.2
00330000-00331000 rw-p 00008000 08:11 409664 /usr/lib/libXcursor.so.1.0.2
00331000-0033b000 r-xp 00000000 08:11 412295 /usr/lib/libpangocairo-1.0.so.0.2800.2
0033b000-0033c000 r--p 00009000 08:11 412295 /usr/lib/libpangocairo-1.0.so.0.2800.2
0033c000-0033d000 rw-p 0000a000 08:11 412295 /usr/lib/libpangocairo-1.0.so.0.2800.2
0033d000-0033f000 r-xp 00000000 08:11 409660 /usr/lib/libXcomposite.so.1.0.0
0033f000-00340000 r--p 00001000 08:11 409660 /usr/lib/libXcomposite.so.1.0.0
00340000-00341000 rw-p 00002000 08:11 409660 /usr/lib/libXcomposite.so.1.0.0
00341000-00345000 r-xp 00000000 08:11 409680 /usr/lib/libXfixes.so.3.1.0
00345000-00346000 r--p 00003000 08:11 409680 /usr/lib/libXfixes.so.3.1.0
00346000-00347000 rw-p 00004000 08:11 409680 /usr/lib/libXfixes.so.3.1.0
00347000-0035f000 r-xp 00000000 08:11 409849 /usr/lib/libatk-1.0.so.0.3209.1
0035f000-00360000 ---p 00018000 08:11 409849 /usr/lib/libatk-1.0.so.0.3209.1
00360000-00361000 r--p 00018000 08:11 409849 /usr/lib/libatk-1.0.so.0.3209.1
00361000-00362000 rw-p 00019000 08:11 409849 /usr/lib/libatk-1.0.so.0.3209.1
00362000-00386000 r-xp 00000000 08:11 412300 /usr/lib/libpangoft2-1.0.so.0.2800.2
00386000-00387000 r--p 00023000 08:11 412300 /usr/lib/libpangoft2-1.0.so.0.2800.2
00387000-00388000 rw-p 00024000 08:11 412300 /usr/lib/libpangoft2-1.0.so.0.2800.2
00388000-0039b000 r-xp 00000000 08:11 2097369 /lib/libz.so.1.2.3.4
0039b000-0039c000 r--p 00012000 08:11 2097369 /lib/libz.so.1.2.3.4
0039c000-0039d000 rw-p 00013000 08:11 2097369 /lib/libz.so.1.2.3.4
0039d000-0039f000 r-xp 00000000 08:11 410990 /usr/lib/libgmodule-2.0.so.0.2600.1
0039f000-003a0000 r--p 00002000 08:11 410990 /usr/lib/libgmodule-2.0.so.0.2600.1
003a0000-003a1000 rw-p 00003000 08:11 410990 /usr/lib/libgmodule-2.0.so.0.2600.1
003a1000-003a4000 r-xp 00000000 08:11 411242 /usr/lib/libgthread-2.0.so.0.2600.1
003a4000-003a5000 r--p 00003000 08:11 411242 /usr/lib/libgthread-2.0.so.0.2600.1
003a5000-003a6000 rw-p 00004000 08:11 411242 /usr/lib/libgthread-2.0.so.0.2600.1
003a6000-003ad000 r-xp 00000000 08:11 2097332 /lib/librt-2.12.1.so
003ad000-003ae000 r--p 00006000 08:11 2097332 /lib/librt-2.12.1.so
003ae000-003af000 rw-p 00007000 08:11 2097332 /lib/librt-2.12.1.so
003af000-003c4000 r-xp 00000000 08:11 2097324 /lib/libpthread-2.12.1.so
003c4000-003c5000 ---p 00015000 08:11 2097324 /lib/libpthread-2.12.1.so
003c5000-003c6000 r--p 00015000 08:11 2097324 /lib/libpthread-2.12.1.so
003c6000-003c7000 rw-p 00016000 08:11 2097324 /lib/libpthread-2.12.1.so
003c7000-003c9000 rw-p 00000000 00:00 0
003ca000-00792000 r-xp 00000000 08:11 411249 /usr/lib/libgtk-x11-2.0.so.0.2200.0
00792000-00796000 r--p 003c8000 08:11 411249 /usr/lib/libgtk-x11-2.0.so.0.2200.0
00796000-00798000 rw-p 003cc000 08:11 411249 /usr/lib/libgtk-x11-2.0.so.0.2200.0
00798000-0079a000 rw-p 00000000 00:00 0
0079a000-00848000 r-xp 00000000 08:11 410158 /usr/lib/libcairo.so.2.11000.0
00848000-00849000 ---p 000ae000 08:11 410158 /usr/lib/libcairo.so.2.11000.0
00849000-0084a000 r--p 000ae000 08:11 410158 /usr/lib/libcairo.so.2.11000.0
0084a000-0084b000 rw-p 000af000 08:11 410158 /usr/lib/libcairo.so.2.11000.0
0084b000-0084d000 rw-p 00000000 00:00 0
0084d000-0087b000 r-xp 00000000 08:11 410710 /usr/lib/libfontconfig.so.1.4.4
0087b000-0087c000 r--p 0002d000 08:11 410710 /usr/lib/libfontconfig.so.1.4.4
0087c000-0087d000 rw-p 0002e000 08:11 410710 /usr/lib/libfontconfig.so.1.4.4
0087f000-0089b000 r-xp 00000000 08:11 2097172 /lib/ld-2.12.1.so
0089b000-0089c000 r--p 0001b000 08:11 2097172 /lib/ld-2.12.1.so
0089c000-0089d000 rw-p 0001c000 08:11 2097172 /lib/ld-2.12.1.so
0089d000-008d0000 r-xp 00000000 08:11 2097308 /lib/libpcre.so.3.12.1
008d0000-008d1000 r--p 00032000 08:11 2097308 /lib/libpcre.so.3.12.1
008d1000-008d2000 rw-p 00033000 08:11 2097308 /lib/libpcre.so.3.12.1
008d2000-008e2000 r-xp 00000000 08:11 2097330 /lib/libresolv-2.12.1.so
008e2000-008e3000 r--p 00010000 08:11 2097330 /lib/libresolv-2.12.1.so
008e3000-008e4000 rw-p 00011000 08:11 2097330 /lib/libresolv-2.12.1.so
008e4000-008e6000 rw-p 00000000 00:00 0
008e6000-008e8000 r-xp 00000000 08:11 413265 /usr/lib/libxcb-shm.so.0.0.0
008e8000-008e9000 r--p 00001000 08:11 413265 /usr/lib/libxcb-shm.so.0.0.0
008e9000-008ea000 rw-p 00002000 08:11 413265 /usr/lib/libxcb-shm.so.0.0.0
008ea000-008f0000 r-xp 00000000 08:11 413257 /usr/lib/libxcb-render.so.0.0.0
008f0000-008f1000 r--p 00005000 08:11 413257 /usr/lib/libxcb-render.so.0.0.0
008f1000-008f2000 rw-p 00006000 08:11 413257 /usr/lib/libxcb-render.so.0.0.0
008f2000-008f4000 r-xp 00000000 08:11 409650 /usr/lib/libXau.so.6.0.0
008f4000-008f5000 r--p 00001000 08:11 409650 /usr/lib/libXau.so.6.0.0
008f5000-008f6000 rw-p 00002000 08:11 409650 /usr/lib/libXau.so.6.0.0
008f9000-00907000 r-xp 00000000 08:11 409676 /usr/lib/libXext.so.6.4.0
00907000-00908000 r--p 0000d000 08:11 409676 /usr/lib/libXext.so.6.4.0
00908000-00909000 rw-p 0000e000 08:11 409676 /usr/lib/libXext.so.6.4.0
00909000-00923000 r-xp 00000000 08:11 2097334 /lib/libselinux.so.1
00923000-00924000 r--p 00019000 08:11 2097334 /lib/libselinux.so.1
00924000-00925000 rw-p 0001a000 08:11 2097334 /lib/libselinux.so.1
00925000-00929000 r-xp 00000000 08:11 409672 /usr/lib/libXdmcp.so.6.0.0
00929000-0092a000 r--p 00003000 08:11 409672 /usr/lib/libXdmcp.so.6.0.0
0092a000-0092b000 rw-p 00004000 08:11 409672 /usr/lib/libXdmcp.so.6.0.0
0092b000-00931000 r-xp 00000000 08:11 2097278 /lib/libnss_compat-2.12.1.so
00931000-00932000 r--p 00006000 08:11 2097278 /lib/libnss_compat-2.12.1.so
00932000-00933000 rw-p 00007000 08:11 2097278 /lib/libnss_compat-2.12.1.so
00933000-00a8a000 r-xp 00000000 08:11 2097203 /lib/libc-2.12.1.so
00a8a000-00a8c000 r--p 00157000 08:11 2097203 /lib/libc-2.12.1.so
00a8c000-00a8d000 rw-p 00159000 08:11 2097203 /lib/libc-2.12.1.so
00a8d000-00a90000 rw-p 00000000 00:00 0
00a90000-00aa3000 r-xp 00000000 08:11 2097276 /lib/libnsl-2.12.1.so
00aa3000-00aa4000 r--p 00012000 08:11 2097276 /lib/libnsl-2.12.1.so
00aa4000-00aa5000 rw-p 00013000 08:11 2097276 /lib/libnsl-2.12.1.so
00aa5000-00aa7000 rw-p 00000000 00:00 0
00aa7000-00ab0000 r-xp 00000000 08:11 2097292 /lib/libnss_nis-2.12.1.so
00ab0000-00ab1000 r--p 00008000 08:11 2097292 /lib/libnss_nis-2.12.1.so
00ab1000-00ab2000 rw-p 00009000 08:11 2097292 /lib/libnss_nis-2.12.1.so
00ab3000-00bcc000 r-xp 00000000 08:11 409641 /usr/lib/libX11.so.6.3.0
00bcc000-00bcd000 r--p 00118000 08:11 409641 /usr/lib/libX11.so.6.3.0
00bcd000-00bcf000 rw-p 00119000 08:11 409641 /usr/lib/libX11.so.6.3.0
00bcf000-00bd0000 rw-p 00000000 00:00 0
00bd0000-00c42000 r-xp 00000000 08:11 410731 /usr/lib/libfreetype.so.6.6.0
00c42000-00c46000 r--p 00071000 08:11 410731 /usr/lib/libfreetype.so.6.6.0
00c46000-00c47000 rw-p 00075000 08:11 410731 /usr/lib/libfreetype.so.6.6.0
00c47000-00c4c000 r-xp 00000000 08:11 918272 /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
00c4c000-00c4d000 r--p 00004000 08:11 918272 /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
00c4d000-00c4e000 rw-p 00005000 08:11 918272 /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
00c50000-00c58000 r-xp 00000000 08:11 409720 /usr/lib/libXrender.so.1.3.0
00c58000-00c59000 r--p 00007000 08:11 409720 /usr/lib/libXrender.so.1.3.0
00c59000-00c5a000 rw-p 00008000 08:11 409720 /usr/lib/libXrender.so.1.3.0
00c5b000-00c7e000 r-xp 00000000 08:11 2097320 /lib/libpng12.so.0.44.0
00c7e000-00c7f000 r--p 00022000 08:11 2097320 /lib/libpng12.so.0.44.0
00c7f000-00c80000 rw-p 00023000 08:11 2097320 /lib/libpng12.so.0.44.0
00c80000-00c8a000 r-xp 00000000 08:11 2097282 /lib/libnss_files-2.12.1.so
00c8a000-00c8b000 r--p 00009000 08:11 2097282 /lib/libnss_files-2.12.1.so
00c8b000-00c8c000 rw-p 0000a000 08:11 2097282 /lib/libnss_files-2.12.1.so
00c8c000-00c90000 r-xp 00000000 08:11 394378 /usr/lib/libcanberra-gtk.so.0.1.6
00c90000-00c91000 r--p 00003000 08:11 394378 /usr/lib/libcanberra-gtk.so.0.1.6
00c91000-00c92000 rw-p 00004000 08:11 394378 /usr/lib/libcanberra-gtk.so.0.1.6
00c92000-00c99000 r-xp 00000000 08:11 413089 /usr/lib/libvorbisfile.so.3.3.2
00c99000-00c9a000 r--p 00006000 08:11 413089 /usr/lib/libvorbisfile.so.3.3.2
00c9a000-00c9b000 rw-p 00007000 08:11 413089 /usr/lib/libvorbisfile.so.3.3.2
00c9b000-00cb2000 r-xp 00000000 08:11 410823 /usr/lib/libgdk_pixbuf-2.0.so.0.2200.0
00cb2000-00cb3000 r--p 00017000 08:11 410823 /usr/lib/libgdk_pixbuf-2.0.so.0.2200.0
00cb3000-00cb4000 rw-p 00018000 08:11 410823 /usr/lib/libgdk_pixbuf-2.0.so.0.2200.0
00cb4000-00cc2000 r-xp 00000000 08:11 414606 /usr/lib/libcanberra.so.0.2.4
00cc2000-00cc3000 r--p 0000d000 08:11 414606 /usr/lib/libcanberra.so.0.2.4
00cc3000-00cc4000 rw-p 0000e000 08:11 414606 /usr/lib/libcanberra.so.0.2.4
00cc4000-00ce8000 r-xp 00000000 08:11 2097265 /lib/libm-2.12.1.so
00ce8000-00ce9000 r--p 00023000 08:11 2097265 /lib/libm-2.12.1.so
00ce9000-00cea000 rw-p 00024000 08:11 2097265 /lib/libm-2.12.1.so
00cea000-00d46000 r-xp 00000000 08:11 412354 /usr/lib/libpixman-1.so.0.18.4
00d46000-00d49000 r--p 0005c000 08:11 412354 /usr/lib/libpixman-1.so.0.18.4
00d49000-00d4a000 rw-p 0005f000 08:11 412354 /usr/lib/libpixman-1.so.0.18.4
00d4a000-00d6e000 r-xp 00000000 08:11 2097233 /lib/libexpat.so.1.5.2
00d6e000-00d70000 r--p 00024000 08:11 2097233 /lib/libexpat.so.1.5.2
00d70000-00d71000 rw-p 00026000 08:11 2097233 /lib/libexpat.so.1.5.2
00d71000-00d97000 r-xp 00000000 08:11 413079 /usr/lib/libvorbis.so.0.4.4
00d97000-00d98000 r--p 00025000 08:11 413079 /usr/lib/libvorbis.so.0.4.4
00d98000-00d99000 rw-p 00026000 08:11 413079 /usr/lib/libvorbis.so.0.4.4
00d9b000-00ddc000 r-xp 00000000 08:11 411083 /usr/lib/libgobject-2.0.so.0.2600.1
00ddc000-00ddd000 r--p 00040000 08:11 411083 /usr/lib/libgobject-2.0.so.0.2600.1
00ddd000-00dde000 rw-p 00041000 08:11 411083 /usr/lib/libgobject-2.0.so.0.2600.1
00dde000-00de3000 r-xp 00000000 08:11 412191 /usr/lib/libogg.so.0.7.0
00de3000-00de4000 r--p 00004000 08:11 412191 /usr/lib/libogg.so.0.7.0
00de4000-00de5000 rw-p 00005000 08:11 412191 /usr/lib/libogg.so.0.7.0
00de5000-00df2000 r-xp 00000000 08:11 412884 /usr/lib/libtdb.so.1.2.1
00df2000-00df3000 r--p 0000c000 08:11 412884 /usr/lib/libtdb.so.1.2.1
00df3000-00df4000 rw-p 0000d000 08:11 412884 /usr/lib/libtdb.so.1.2.1
00df4000-00dfb000 r-xp 00000000 08:11 411856 /usr/lib/libltdl.so.7.2.1
00dfb000-00dfc000 r--p 00006000 08:11 411856 /usr/lib/libltdl.so.7.2.1
00dfc000-00dfd000 rw-p 00007000 08:11 411856 /usr/lib/libltdl.so.7.2.1
00dfd000-00e10000 r-xp 00000000 08:11 920632 /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
00e10000-00e11000 r--p 00012000 08:11 920632 /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
00e11000-00e12000 rw-p 00013000 08:11 920632 /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
00e12000-00e1a000 r-xp 00000000 08:11 920634 /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so
00e1a000-00e1b000 r--p 00007000 08:11 920634 /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so
00e1b000-00e1c000 rw-p 00008000 08:11 920634 /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so
00e1c000-00e27000 r-xp 00000000 08:11 920630 /usr/lib/gtk-2.0/2.10.0/engines/libmist.so
00e27000-00e28000 r--p 0000a000 08:11 920630 /usr/lib/gtk-2.0/2.10.0/engines/libmist.so
00e28000-00e29000 rw-p 0000b000 08:11 920630 /usr/lib/gtk-2.0/2.10.0/engines/libmist.so
00e29000-00e33000 r-xp 00000000 08:11 2097352 /lib/libudev.so.0.9.1
00e33000-00e34000 r--p 00009000 08:11 2097352 /lib/libudev.so.0.9.1
00e34000-00e35000 rw-p 0000a000 08:11 2097352 /lib/libudev.so.0.9.1
00e38000-00e39000 r-xp 00000000 00:00 0 [vdso]
00e39000-00e4c000 r-xp 00000000 08:11 411322 /usr/lib/libgvfscommon.so.0.0.0
00e4c000-00e4d000 r--p 00012000 08:11 411322 /usr/lib/libgvfscommon.so.0.0.0
00e4d000-00e4e000 rw-p 00013000 08:11 411322 /usr/lib/libgvfscommon.so.0.0.0
00e4e000-00e50000 r-xp 00000000 08:11 2097359 /lib/libutil-2.12.1.so
00e50000-00e51000 r--p 00001000 08:11 2097359 /lib/libutil-2.12.1.so
00e51000-00e52000 rw-p 00002000 08:11 2097359 /lib/libutil-2.12.1.so
00e52000-00e56000 r-xp 00000000 08:11 919681 /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so
00e56000-00e57000 r--p 00003000 08:11 919681 /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so
00e57000-00e58000 rw-p 00004000 08:11 919681 /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so
00e59000-00e5b000 r-xp 00000000 08:11 409668 /usr/lib/libXdamage.so.1.1.0
00e5b000-00e5c000 r--p 00001000 08:11 409668 /usr/lib/libXdamage.so.1.1.0
00e5c000-00e5d000 rw-p 00002000 08:11 409668 /usr/lib/libXdamage.so.1.1.0
00e5d000-00e8a000 r-xp 00000000 08:11 920631 /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so
00e8a000-00e8b000 r--p 0002c000 08:11 920631 /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so
00e8b000-00e8c000 rw-p 0002d000 08:11 920631 /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so
00e8c000-00eb6000 r-xp 00000000 08:11 920624 /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00eb6000-00eb7000 r--p 00029000 08:11 920624 /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00eb7000-00eb8000 rw-p 0002a000 08:11 920624 /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00eb8000-00eba000 r-xp 00000000 08:11 923324 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
00eba000-00ebb000 r--p 00001000 08:11 923324 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
00ebb000-00ebc000 rw-p 00002000 08:11 923324 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
00ebc000-00ed4000 r-xp 00000000 08:11 413275 /usr/lib/libxcb.so.1.1.0
00ed4000-00ed5000 r--p 00017000 08:11 413275 /usr/lib/libxcb.so.1.1.0
00ed5000-00ed6000 rw-p 00018000 08:11 413275 /usr/lib/libxcb.so.1.1.0
00ed6000-00edc000 r-xp 00000000 08:11 920137 /usr/lib/gio/modules/libdconfsettings.so
00edc000-00edd000 r--p 00005000 08:11 920137 /usr/lib/gio/modules/libdconfsettings.so
00edd000-00ede000 rw-p 00006000 08:11 920137 /usr/lib/gio/modules/libdconfsettings.so
00ee8000-00eea000 r-xp 00000000 08:11 2097219 /lib/libdl-2.12.1.so
00eea000-00eeb000 r--p 00001000 08:11 2097219 /lib/libdl-2.12.1.so
00eeb000-00eec000 rw-p 00002000 08:11 2097219 /lib/libdl-2.12.1.so
00eec000-00f0f000 r-xp 00000000 08:11 920140 /usr/lib/gio/modules/libgvfsdbus.so
00f0f000-00f10000 r--p 00022000 08:11 920140 /usr/lib/gio/modules/libgvfsdbus.so
00f10000-00f11000 rw-p 00023000 08:11 920140 /usr/lib/gio/modules/libgvfsdbus.so
00f11000-00f22000 r-xp 00000000 08:11 920139 /usr/lib/gio/modules/libgioremote-volume-monitor.so
00f22000-00f23000 r--p 00010000 08:11 920139 /usr/lib/gio/modules/libgioremote-volume-monitor.so
00f23000-00f24000 rw-p 00011000 08:11 920139 /usr/lib/gio/modules/libgioremote-volume-monitor.so
00f39000-00fcd000 r-xp 00000000 08:11 410819 /usr/lib/libgdk-x11-2.0.so.0.2200.0
00fcd000-00fce000 ---p 00094000 08:11 410819 /usr/lib/libgdk-x11-2.0.so.0.2200.0
00fce000-00fd0000 r--p 00094000 08:11 410819 /usr/lib/libgdk-x11-2.0.so.0.2200.0
00fd0000-00fd1000 rw-p 00096000 08:11 410819 /usr/lib/libgdk-x11-2.0.so.0.2200.0
00fd1000-0100b000 r-xp 00000000 08:11 2097216 /lib/libdbus-1.so.3.5.2
0100b000-0100c000 r--p 00039000 08:11 2097216 /lib/libdbus-1.so.3.5.2
0100c000-0100d000 rw-p 0003a000 08:11 2097216 /lib/libdbus-1.so.3.5.2
04abc000-04ad6000 r-xp 00000000 08:11 2097240 /lib/libgcc_s.so.1
04ad6000-04ad7000 r--p 00019000 08:11 2097240 /lib/libgcc_s.so.1
04ad7000-04ad8000 rw-p 0001a000 08:11 2097240 /lib/libgcc_s.so.1
08048000-0805b000 r-xp 00000000 08:11 2631918 /usr/bin/parcellite
0805b000-0805c000 r--p 00012000 08:11 2631918 /usr/bin/parcellite
0805c000-0805d000 rw-p 00013000 08:11 2631918 /usr/bin/parcellite
087d6000-08b22000 rw-p 00000000 00:00 0 [heap]
b6700000-b6721000 rw-p 00000000 00:00 0
b6721000-b6800000 ---p 00000000 00:00 0
b6896000-b68f5000 r--p 00000000 08:11 1972627 /usr/share/fonts/truetype/ubuntu-font-family/Ubuntu-RI.ttf
b68f5000-b6955000 rw-s 00000000 00:04 8519694 /SYSV00000000 (deleted)
b6955000-b6991000 rw-p 00000000 00:00 0
b6992000-b69e9000 r--p 00000000 08:11 1972626 /usr/share/fonts/truetype/ubuntu-font-family/Ubuntu-R.ttf
b69e9000-b6a3b000 r--p 00000000 08:11 1972621 /usr/share/fonts/truetype/ubuntu-font-family/Ubuntu-B.ttf
b6a3b000-b6a3c000 r--s 00000000 08:11 4456517 /var/cache/fontconfig/c05880de57d1f5e948fdfacc138775d9-le32d4.cache-3
b6a3c000-b6a42000 r--s 00000000 08:11 4456514 /var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-le32d4.cache-3
b6a42000-b6a44000 r--s 00000000 08:11 4456515 /var/cache/fontconfig/99e8ed0e538f840c565b6ed5dad60d56-le32d4.cache-3
b6a44000-b6a47000 r--s 00000000 08:11 4456525 /var/cache/fontconfig/e383d7ea5fbe662a33d9b44caf393297-le32d4.cache-3
b6a47000-b6a4a000 r--s 00000000 08:11 4456502 /var/cache/fontconfig/2cd17615ca594fa2959ae173292e504c-le32d4.cache-3
b6a4a000-b6a4b000 r--s 00000000 08:11 4456526 /var/cache/fontconfig/e7071f4a29fa870f4323321c154eba04-le32d4.cache-3
b6a4b000-b6a4e000 r--s 00000000 08:11 4456511 /var/cache/fontconfig/6eb3985aa4124903f6ff08ba781cd364-le32d4.cache-3
b6a4e000-b6a4f000 r--s 00000000 08:11 4456506 /var/cache/fontconfig/4c73fe0c47614734b17d736dbde7580a-le32d4.cache-3
b6a4f000-b6a50000 r--s 00000000 08:11 4456498 /var/cache/fontconfig/0d8c3b2ac0904cb8a57a757ad11a4a08-le32d4.cache-3
b6a50000-b6a51000 r--s 00000000 08:11 4456509 /var/cache/fontconfig/6a53c69dea097a2d716e069445527da8-le32d4.cache-3
b6a51000-b6a55000 r--s 00000000 08:11 4456516 /var/cache/fontconfig/a755afe4a08bf5b97852ceb7400b47bc-le32d4.cache-3
b6a55000-b6a58000 r--s 00000000 08:11 4456510 /var/cache/fontconfig/6d41288fd70b0be22e8c3a91e032eec0-le32d4.cache-3
b6a58000-b6a5b000 r--s 00000000 08:11 4456523 /var/cache/fontconfig/de156ccd2eddbdc19d37a45b8b2aac9c-le32d4.cache-3
b6a5b000-b6a66000 r--s 00000000 08:11 4456499 /var/cache/fontconfig/0f34bcd4b6ee430af32735b75db7f02b-le32d4.cache-3
b6a66000-b6a69000 r--s 00000000 08:11 4456521 /var/cache/fontconfig/d60319d88cac85ba9e1a07bd06cfbb8c-le32d4.cache-3
b6a69000-b6a6a000 r--s 00000000 08:11 4456504 /var/cache/fontconfig/4794a0821666d79190d59a36cb4f44b5-le32d4.cache-3
b6a6a000-b6a72000 r--s 00000000 08:11 4456520 /var/cache/fontconfig/d52a8644073d54c13679302ca1180695-le32d4.cache-3
b6a72000-b6ad2000 rw-s 00000000 00:04 8093699 /SYSV00000000 (deleted)
b6ad2000-b6af3000 r--s 00000000 08:11 1441850 /usr/share/mime/mime.cache
b6af3000-b74f6000 r--p 00000000 08:11 2229800 /usr/share/icons/hicolor/icon-theme.cache
b74f6000-b76f6000 r--p 00000000 08:11 799419 /usr/lib/locale/locale-archive
b76f6000-b7701000 rw-p 00000000 00:00 0
b7705000-b770d000 r--s 00000000 08:11 4456524 /var/cache/fontconfig/e13b20fdb08344e0e664864cc2ede53d-le32d4.cache-3
b770d000-b7711000 r--s 00000000 08:11 4456513 /var/cache/fontconfig/7ef2298fde41cc6eeb7af42e48b7d293-le32d4.cache-3
b7711000-b7712000 r--s 00000000 08:11 4456507 /var/cache/fontconfig/573ec803664ed168555e0e8b6d0f0c7f-le32d4.cache-3
b7712000-b7713000 r--p 00000000 08:11 1709980 /usr/share/locale-langpack/en_GB/LC_MESSAGES/gdk-pixbuf.mo
b7713000-b7718000 r--p 00000000 08:11 2363531 /usr/share/locale/en_GB/LC_MESSAGES/gdk-pixbuf.mo
b7718000-b7719000 r--s 00000000 08:11 1048943 /usr/share/gnome/mime/mime.cache
b7719000-b771a000 r--s 00000000 08:11 1966851 /root/.local/share/mime/mime.cache
b771a000-b771d000 r--p 00000000 08:11 1709996 /usr/share/locale-langpack/en_GB/LC_MESSAGES/glib20.mo
b771d000-b7724000 r--s 00000000 08:11 798035 /usr/lib/gconv/gconv-modules.cache
b7724000-b7728000 r--p 00000000 08:11 1710038 /usr/share/locale-langpack/en_GB/LC_MESSAGES/gtk20-properties.mo
b7728000-b7729000 r--p 00000000 08:11 1710087 /usr/share/locale-langpack/en_GB/LC_MESSAGES/libc.mo
b7729000-b772b000 r--p 00000000 08:11 1710039 /usr/share/locale-langpack/en_GB/LC_MESSAGES/gtk20.mo
b772b000-b772c000 r--p 00299000 08:11 799419 /usr/lib/locale/locale-archive
b772c000-b772e000 rw-p 00000000 00:00 0
bfdea000-b
fe0b000 rw-p 00000000 00:00 0 [stack]

Regards.

1 Attachments

Discussion

  • katiem
    katiem
    2013-09-29

    Clearing the history items (via right click) leaves blank entries in the left click clipboard menu popup. Is this intentional?

    I should mention that I compiled parcellite using ./configure --prefix=/usr --enable-appindicator=no on Ubuntu Maverick 10.10 / gcc 4.4.5.

     
    Last edit: katiem 2013-09-29
  • rickyrockrat
    rickyrockrat
    2013-09-29

    It is my punishment for adding features. Clearly a bug in my code. I've confirmed the empty entries on edit. I will assume an entry edit means to delete that entry. Still waiting for the crash to happen. I really hate sporatic bugs.

     
  • rickyrockrat
    rickyrockrat
    2013-09-29

    • status: open --> accepted
    • assigned_to: rickyrockrat
     
  • rickyrockrat
    rickyrockrat
    2013-09-29

    Try 470, should fix the blank entries. I'd appreciate any help on getting it to crash reliably.

     
  • katiem
    katiem
    2013-09-29

    470 > still crashing a lot (editing history). Trying to find a solid way to reproduce crashes...

    Blank entries still showing up...

    (Whoops!) Actually that was a single line of text (with a return) so not technically blank...

     
    Last edit: katiem 2013-09-29
  • katiem
    katiem
    2013-09-29

    Ok try this...

    To reproduce the crash I have to have 'use primary selection' switched on. Then (starting with a clear clipboard), select the two lines below ("blabla.." one after another). Next go to the parcellite tray icon and left click. Select first entry > right click, so the 'editing clipboard' box appears and > clear the box and > 'ok'. Repeat for the second line, close box > and crash!

    blabla line1
    blabla line2

    Hope this helps.

     
  • rickyrockrat
    rickyrockrat
    2013-09-30

    I sort of am able to duplicate, but my parcellite just dies. No double frees, which means I have a wild pointer somewhere.

    Check out 471. It contains some clipboard content issues (I still need to validate the text, and add logic as to which clipboard(s) to update).

    I can't get 471 to crash anymore. If that is fixed, I'll proceed to fix the content stuff.

     
  • katiem
    katiem
    2013-09-30

    Well I can't get parcellite to crash using the exact routine above, but I can now get it to crash consistently ~with a slight variation on the above~. This time it's: [1] Start with a clear clipboard. [2] Select the two lines of text (blabla...) one after another. [3] Delete the "line2 " part of the top line entry in clipboard ("blabla line2"), leaving "blabla". [4] Then delete the second clipboard entry (which is now "blabla" ~ the remaining half of the first entry that had the "line2" bit removed). Parcellite now crashes (...double free or corruption etc).

    Best regards.

     
  • rickyrockrat
    rickyrockrat
    2013-09-30

    Thanks for figuring out how to crash it. I ran valgrind on it and found some holes....Try 472, and I think the content filtering should be good too.

     
  • katiem
    katiem
    2013-09-30

    Hi, parcellite 472 is a lot more stable now (edit history) and unable to reproduce crashes using the examples above. I have still been able to get parcellite to disappear (requires starting it again), although no double free/stacktrace messages ~ simple disappearance from the tray (icon). Also there's been a few pango issues (odd characters appearing in clipboard entries), and displaying messages (xsession error) such as:

    (parcellite:9994): Gtk-CRITICAL **: gtk_text_buffer_emit_insert: assertion `g_utf8_validate (text, len, NULL)' failed

    (parcellite:9994): Pango-WARNING **: Invalid UTF-8 string passed to pango_layout_set_text().

    I haven't worked out how to concretely reproduce these issues ~just selecting various lines of text and right click > edit clipboard history~ deleting full lines/partial lines etc.

     
  • katiem
    katiem
    2013-09-30

    I've just managed to induce a crash (playing with history edit), this time it's:

    glibc detected parcellite: corrupted double-linked list: 0x09f9e5a8 ***
    ======= Backtrace: =========
    /lib/libc.so.6(+0x6c0c1)[0x3ed0c1]
    /lib/libc.so.6(+0x6c4fe)[0x3ed4fe]
    /lib/libc.so.6(+0x6e645)[0x3ef645]
    /lib/libc.so.6(libc_malloc+0x63)[0x3f1af3]
    /lib/libglib-2.0.so.0(g_try_malloc+0x38)[0x2f83d8]
    /usr/lib/libgdk_pixbuf-2.0.so.0(gdk_pixbuf_new+0xd0)[0xa2daa0]
    /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so(+0x59ae)[0xc4f9ae]
    /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so(+0x6a7c)[0xc50a7c]
    /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so(+0x1ea6)[0xc4bea6]
    /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so(+0x2fca)[0xc4cfca]
    /usr/lib/libgtk-x11-2.0.so.0(gtk_paint_box+0xee)[0x7c73fe]
    /usr/lib/libgtk-x11-2.0.so.0(+0x13c8ec)[0x74b8ec]
    /usr/lib/libgtk-x11-2.0.so.0(+0x135284)[0x744284]
    /usr/lib/libgobject-2.0.so.0(+0xaa87)[0x279a87]
    /usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x192)[0x27b412]
    /usr/lib/libgobject-2.0.so.0(+0x227d6)[0x2917d6]
    /usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x5db)[0x292e2b]
    /usr/lib/libgobject-2.0.so.0(g_signal_emit+0x32)[0x293452]
    /usr/lib/libgtk-x11-2.0.so.0(+0x263b96)[0x872b96]
    /usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x61b)[0x73df2b]
    /usr/lib/libgdk-x11-2.0.so.0(+0x3b7cb)[0xd947cb]
    /usr/lib/libgdk-x11-2.0.so.0(+0x3b77a)[0xd9477a]
    /usr/lib/libgdk-x11-2.0.so.0(+0x3b77a)[0xd9477a]
    /usr/lib/libgdk-x11-2.0.so.0(+0x3b77a)[0xd9477a]
    /usr/lib/libgdk-x11-2.0.so.0(+0x64e34)[0xdbde34]
    /usr/lib/libgdk-x11-2.0.so.0(+0x37f34)[0xd90f34]
    /usr/lib/libgdk-x11-2.0.so.0(gdk_window_process_all_updates+0x13f)[0xd92f3f]
    /usr/lib/libgdk-x11-2.0.so.0(+0x39fbb)[0xd92fbb]
    /usr/lib/libgdk-x11-2.0.so.0(+0x14998)[0xd6d998]
    /lib/libglib-2.0.so.0(+0x3b841)[0x2ed841]
    /lib/libglib-2.0.so.0(g_main_context_dispatch+0x1d5)[0x2ef855]
    /lib/libglib-2.0.so.0(+0x41668)[0x2f3668]
    /lib/libglib-2.0.so.0(g_main_loop_run+0x187)[0x2f3ba7]
    /usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb9)[0x73e1d9]
    parcellite[0x804f4fa]
    /lib/libc.so.6(
    libc_start_main+0xe7)[0x397ce7]
    parcellite[0x804d5b1]
    ======= Memory map: ========
    00110000-00229000 r-xp 00000000 08:11 409641 /usr/lib/libX11.so.6.3.0
    00229000-0022a000 r--p 00118000 08:11 409641 /usr/lib/libX11.so.6.3.0
    0022a000-0022c000 rw-p 00119000 08:11 409641 /usr/lib/libX11.so.6.3.0
    0022c000-0022d000 rw-p 00000000 00:00 0
    0022d000-0026c000 r-xp 00000000 08:11 412290 /usr/lib/libpango-1.0.so.0.2800.2
    0026c000-0026d000 ---p 0003f000 08:11 412290 /usr/lib/libpango-1.0.so.0.2800.2
    0026d000-0026e000 r--p 0003f000 08:11 412290 /usr/lib/libpango-1.0.so.0.2800.2
    0026e000-0026f000 rw-p 00040000 08:11 412290 /usr/lib/libpango-1.0.so.0.2800.2
    0026f000-002b0000 r-xp 00000000 08:11 411083 /usr/lib/libgobject-2.0.so.0.2600.1
    002b0000-002b1000 r--p 00040000 08:11 411083 /usr/lib/libgobject-2.0.so.0.2600.1
    002b1000-002b2000 rw-p 00041000 08:11 411083 /usr/lib/libgobject-2.0.so.0.2600.1
    002b2000-0037f000 r-xp 00000000 08:11 2097247 /lib/libglib-2.0.so.0.2600.1
    0037f000-00380000 r--p 000cc000 08:11 2097247 /lib/libglib-2.0.so.0.2600.1
    00380000-00381000 rw-p 000cd000 08:11 2097247 /lib/libglib-2.0.so.0.2600.1
    00381000-004d8000 r-xp 00000000 08:11 2097203 /lib/libc-2.12.1.so
    004d8000-004da000 r--p 00157000 08:11 2097203 /lib/libc-2.12.1.so
    004da000-004db000 rw-p 00159000 08:11 2097203 /lib/libc-2.12.1.so
    004db000-004de000 rw-p 00000000 00:00 0
    004de000-005c6000 r-xp 00000000 08:11 410921 /usr/lib/libgio-2.0.so.0.2600.1
    005c6000-005c8000 r--p 000e7000 08:11 410921 /usr/lib/libgio-2.0.so.0.2600.1
    005c8000-005c9000 rw-p 000e9000 08:11 410921 /usr/lib/libgio-2.0.so.0.2600.1
    005c9000-005ca000 rw-p 00000000 00:00 0
    005ca000-005d2000 r-xp 00000000 08:11 409720 /usr/lib/libXrender.so.1.3.0
    005d2000-005d3000 r--p 00007000 08:11 409720 /usr/lib/libXrender.so.1.3.0
    005d3000-005d4000 rw-p 00008000 08:11 409720 /usr/lib/libXrender.so.1.3.0
    005d4000-005da000 r-xp 00000000 08:11 409716 /usr/lib/libXrandr.so.2.2.0
    005da000-005db000 r--p 00005000 08:11 409716 /usr/lib/libXrandr.so.2.2.0
    005db000-005dc000 rw-p 00006000 08:11 409716 /usr/lib/libXrandr.so.2.2.0
    005dc000-005e4000 r-xp 00000000 08:11 409664 /usr/lib/libXcursor.so.1.0.2
    005e4000-005e5000 r--p 00007000 08:11 409664 /usr/lib/libXcursor.so.1.0.2
    005e5000-005e6000 rw-p 00008000 08:11 409664 /usr/lib/libXcursor.so.1.0.2
    005e6000-005e8000 r-xp 00000000 08:11 409668 /usr/lib/libXdamage.so.1.1.0
    005e8000-005e9000 r--p 00001000 08:11 409668 /usr/lib/libXdamage.so.1.1.0
    005e9000-005ea000 rw-p 00002000 08:11 409668 /usr/lib/libXdamage.so.1.1.0
    005ea000-005ee000 r-xp 00000000 08:11 409680 /usr/lib/libXfixes.so.3.1.0
    005ee000-005ef000 r--p 00003000 08:11 409680 /usr/lib/libXfixes.so.3.1.0
    005ef000-005f0000 rw-p 00004000 08:11 409680 /usr/lib/libXfixes.so.3.1.0
    005f0000-00608000 r-xp 00000000 08:11 409849 /usr/lib/libatk-1.0.so.0.3209.1
    00608000-00609000 ---p 00018000 08:11 409849 /usr/lib/libatk-1.0.so.0.3209.1
    00609000-0060a000 r--p 00018000 08:11 409849 /usr/lib/libatk-1.0.so.0.3209.1
    0060a000-0060b000 rw-p 00019000 08:11 409849 /usr/lib/libatk-1.0.so.0.3209.1
    0060b000-0060d000 r-xp 00000000 08:11 2097219 /lib/libdl-2.12.1.so
    0060d000-0060e000 r--p 00001000 08:11 2097219 /lib/libdl-2.12.1.so
    0060e000-0060f000 rw-p 00002000 08:11 2097219 /lib/libdl-2.12.1.so
    0060f000-009d7000 r-xp 00000000 08:11 411249 /usr/lib/libgtk-x11-2.0.so.0.2200.0
    009d7000-009db000 r--p 003c8000 08:11 411249 /usr/lib/libgtk-x11-2.0.so.0.2200.0
    009db000-009dd000 rw-p 003cc000 08:11 411249 /usr/lib/libgtk-x11-2.0.so.0.2200.0
    009dd000-009df000 rw-p 00000000 00:00 0
    009df000-009e6000 r-xp 00000000 08:11 2097332 /lib/librt-2.12.1.so
    009e6000-009e7000 r--p 00006000 08:11 2097332 /lib/librt-2.12.1.so
    009e7000-009e8000 rw-p 00007000 08:11 2097332 /lib/librt-2.12.1.so
    009e8000-009ea000 r-xp 00000000 08:11 413265 /usr/lib/libxcb-shm.so.0.0.0
    009ea000-009eb000 r--p 00001000 08:11 413265 /usr/lib/libxcb-shm.so.0.0.0
    009eb000-009ec000 rw-p 00002000 08:11 413265 /usr/lib/libxcb-shm.so.0.0.0
    009ec000-009ee000 r-xp 00000000 08:11 409650 /usr/lib/libXau.so.6.0.0
    009ee000-009ef000 r--p 00001000 08:11 409650 /usr/lib/libXau.so.6.0.0
    009ef000-009f0000 rw-p 00002000 08:11 409650 /usr/lib/libXau.so.6.0.0
    009f0000-009f2000 r-xp 00000000 08:11 409696 /usr/lib/libXinerama.so.1.0.0
    009f2000-009f3000 r--p 00001000 08:11 409696 /usr/lib/libXinerama.so.1.0.0
    009f3000-009f4000 rw-p 00002000 08:11 409696 /usr/lib/libXinerama.so.1.0.0
    009f4000-009fa000 r-xp 00000000 08:11 413257 /usr/lib/libxcb-render.so.0.0.0
    009fa000-009fb000 r--p 00005000 08:11 413257 /usr/lib/libxcb-render.so.0.0.0
    009fb000-009fc000 rw-p 00006000 08:11 413257 /usr/lib/libxcb-render.so.0.0.0
    009fc000-00a02000 r-xp 00000000 08:11 2097278 /lib/libnss_compat-2.12.1.so
    00a02000-00a03000 r--p 00006000 08:11 2097278 /lib/libnss_compat-2.12.1.so
    00a03000-00a04000 rw-p 00007000 08:11 2097278 /lib/libnss_compat-2.12.1.so
    00a07000-00a13000 r-xp 00000000 08:11 409692 /usr/lib/libXi.so.6.1.0
    00a13000-00a14000 r--p 0000b000 08:11 409692 /usr/lib/libXi.so.6.1.0
    00a14000-00a15000 rw-p 0000c000 08:11 409692 /usr/lib/libXi.so.6.1.0
    00a15000-00a1a000 r-xp 00000000 08:11 918272 /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
    00a1a000-00a1b000 r--p 00004000 08:11 918272 /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
    00a1b000-00a1c000 rw-p 00005000 08:11 918272 /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
    00a1c000-00a20000 r-xp 00000000 08:11 394378 /usr/lib/libcanberra-gtk.so.0.1.6
    00a20000-00a21000 r--p 00003000 08:11 394378 /usr/lib/libcanberra-gtk.so.0.1.6
    00a21000-00a22000 rw-p 00004000 08:11 394378 /usr/lib/libcanberra-gtk.so.0.1.6
    00a22000-00a24000 r-xp 00000000 08:11 2097359 /lib/libutil-2.12.1.so
    00a24000-00a25000 r--p 00001000 08:11 2097359 /lib/libutil-2.12.1.so
    00a25000-00a26000 rw-p 00002000 08:11 2097359 /lib/libutil-2.12.1.so
    00a26000-00a28000 r-xp 00000000 08:11 409660 /usr/lib/libXcomposite.so.1.0.0
    00a28000-00a29000 r--p 00001000 08:11 409660 /usr/lib/libXcomposite.so.1.0.0
    00a29000-00a2a000 rw-p 00002000 08:11 409660 /usr/lib/libXcomposite.so.1.0.0
    00a2a000-00a41000 r-xp 00000000 08:11 410823 /usr/lib/libgdk_pixbuf-2.0.so.0.2200.0
    00a41000-00a42000 r--p 00017000 08:11 410823 /usr/lib/libgdk_pixbuf-2.0.so.0.2200.0
    00a42000-00a43000 rw-p 00018000 08:11 410823 /usr/lib/libgdk_pixbuf-2.0.so.0.2200.0
    00a43000-00a66000 r-xp 00000000 08:11 2097320 /lib/libpng12.so.0.44.0
    00a66000-00a67000 r--p 00022000 08:11 2097320 /lib/libpng12.so.0.44.0
    00a67000-00a68000 rw-p 00023000 08:11 2097320 /lib/libpng12.so.0.44.0
    00a68000-00ada000 r-xp 00000000 08:11 410731 /usr/lib/libfreetype.so.6.6.0
    00ada000-00ade000 r--p 00071000 08:11 410731 /usr/lib/libfreetype.so.6.6.0
    00ade000-00adf000 rw-p 00075000 08:11 410731 /usr/lib/libfreetype.so.6.6.0
    00adf000-00af2000 r-xp 00000000 08:11 2097369 /lib/libz.so.1.2.3.4
    00af2000-00af3000 r--p 00012000 08:11 2097369 /lib/libz.so.1.2.3.4
    00af3000-00af4000 rw-p 00013000 08:11 2097369 /lib/libz.so.1.2.3.4
    00af4000-00afb000 r-xp 00000000 08:11 413089 /usr/lib/libvorbisfile.so.3.3.2
    00afb000-00afc000 r--p 00006000 08:11 413089 /usr/lib/libvorbisfile.so.3.3.2
    00afc000-00afd000 rw-p 00007000 08:11 413089 /usr/lib/libvorbisfile.so.3.3.2
    00afd000-00b21000 r-xp 00000000 08:11 2097265 /lib/libm-2.12.1.so
    00b21000-00b22000 r--p 00023000 08:11 2097265 /lib/libm-2.12.1.so
    00b22000-00b23000 rw-p 00024000 08:11 2097265 /lib/libm-2.12.1.so
    00b23000-00b51000 r-xp 00000000 08:11 410710 /usr/lib/libfontconfig.so.1.4.4
    00b51000-00b52000 r--p 0002d000 08:11 410710 /usr/lib/libfontconfig.so.1.4.4
    00b52000-00b53000 rw-p 0002e000 08:11 410710 /usr/lib/libfontconfig.so.1.4.4
    00b53000-00b68000 r-xp 00000000 08:11 2097324 /lib/libpthread-2.12.1.so
    00b68000-00b69000 ---p 00015000 08:11 2097324 /lib/libpthread-2.12.1.so
    00b69000-00b6a000 r--p 00015000 08:11 2097324 /lib/libpthread-2.12.1.so
    00b6a000-00b6b000 rw-p 00016000 08:11 2097324 /lib/libpthread-2.12.1.so
    00b6b000-00b6d000 rw-p 00000000 00:00 0
    00b6d000-00b85000 r-xp 00000000 08:11 413275 /usr/lib/libxcb.so.1.1.0
    00b85000-00b86000 r--p 00017000 08:11 413275 /usr/lib/libxcb.so.1.1.0
    00b86000-00b87000 rw-p 00018000 08:11 413275 /usr/lib/libxcb.so.1.1.0
    00b87000-00b97000 r-xp 00000000 08:11 2097330 /lib/libresolv-2.12.1.so
    00b97000-00b98000 r--p 00010000 08:11 2097330 /lib/libresolv-2.12.1.so
    00b98000-00b99000 rw-p 00011000 08:11 2097330 /lib/libresolv-2.12.1.so
    00b99000-00b9b000 rw-p 00000000 00:00 0
    00b9b000-00bb5000 r-xp 00000000 08:11 2097334 /lib/libselinux.so.1
    00bb5000-00bb6000 r--p 00019000 08:11 2097334 /lib/libselinux.so.1
    00bb6000-00bb7000 rw-p 0001a000 08:11 2097334 /lib/libselinux.so.1
    00bb7000-00bc5000 r-xp 00000000 08:11 414606 /usr/lib/libcanberra.so.0.2.4
    00bc5000-00bc6000 r--p 0000d000 08:11 414606 /usr/lib/libcanberra.so.0.2.4
    00bc6000-00bc7000 rw-p 0000e000 08:11 414606 /usr/lib/libcanberra.so.0.2.4
    00bc9000-00bcd000 r-xp 00000000 08:11 409672 /usr/lib/libXdmcp.so.6.0.0
    00bcd000-00bce000 r--p 00003000 08:11 409672 /usr/lib/libXdmcp.so.6.0.0
    00bce000-00bcf000 rw-p 00004000 08:11 409672 /usr/lib/libXdmcp.so.6.0.0
    00bcf000-00be2000 r-xp 00000000 08:11 2097276 /lib/libnsl-2.12.1.so
    00be2000-00be3000 r--p 00012000 08:11 2097276 /lib/libnsl-2.12.1.so
    00be3000-00be4000 rw-p 00013000 08:11 2097276 /lib/libnsl-2.12.1.so
    00be4000-00be6000 rw-p 00000000 00:00 0
    00be6000-00beb000 r-xp 00000000 08:11 412191 /usr/lib/libogg.so.0.7.0
    00beb000-00bec000 r--p 00004000 08:11 412191 /usr/lib/libogg.so.0.7.0
    00bec000-00bed000 rw-p 00005000 08:11 412191 /usr/lib/libogg.so.0.7.0
    00bed000-00bfa000 r-xp 00000000 08:11 412884 /usr/lib/libtdb.so.1.2.1
    00bfa000-00bfb000 r--p 0000c000 08:11 412884 /usr/lib/libtdb.so.1.2.1
    00bfb000-00bfc000 rw-p 0000d000 08:11 412884 /usr/lib/libtdb.so.1.2.1
    00bfc000-00c03000 r-xp 00000000 08:11 411856 /usr/lib/libltdl.so.7.2.1
    00c03000-00c04000 r--p 00006000 08:11 411856 /usr/lib/libltdl.so.7.2.1
    00c04000-00c05000 rw-p 00007000 08:11 411856 /usr/lib/libltdl.so.7.2.1
    00c05000-00c09000 r-xp 00000000 08:11 919681 /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so
    00c09000-00c0a000 r--p 00003000 08:11 919681 /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so
    00c0a000-00c0b000 rw-p 00004000 08:11 919681 /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so
    00c0c000-00c0d000 r-xp 00000000 00:00 0 [vdso]
    00c0d000-00c33000 r-xp 00000000 08:11 413079 /usr/lib/libvorbis.so.0.4.4
    00c33000-00c34000 r--p 00025000 08:11 413079 /usr/lib/libvorbis.so.0.4.4
    00c34000-00c35000 rw-p 00026000 08:11 413079 /usr/lib/libvorbis.so.0.4.4
    00c35000-00c48000 r-xp 00000000 08:11 920632 /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
    00c48000-00c49000 r--p 00012000 08:11 920632 /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
    00c49000-00c4a000 rw-p 00013000 08:11 920632 /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
    00c4a000-00c52000 r-xp 00000000 08:11 920634 /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so
    00c52000-00c53000 r--p 00007000 08:11 920634 /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so
    00c53000-00c54000 rw-p 00008000 08:11 920634 /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so
    00c54000-00c56000 r-xp 00000000 08:11 923324 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
    00c56000-00c57000 r--p 00001000 08:11 923324 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
    00c57000-00c58000 rw-p 00002000 08:11 923324 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
    00c59000-00c75000 r-xp 00000000 08:11 2097172 /lib/ld-2.12.1.so
    00c75000-00c76000 r--p 0001b000 08:11 2097172 /lib/ld-2.12.1.so
    00c76000-00c77000 rw-p 0001c000 08:11 2097172 /lib/ld-2.12.1.so
    00c77000-00cd3000 r-xp 00000000 08:11 412354 /usr/lib/libpixman-1.so.0.18.4
    00cd3000-00cd6000 r--p 0005c000 08:11 412354 /usr/lib/libpixman-1.so.0.18.4
    00cd6000-00cd7000 rw-p 0005f000 08:11 412354 /usr/lib/libpixman-1.so.0.18.4
    00cd7000-00ce2000 r-xp 00000000 08:11 920630 /usr/lib/gtk-2.0/2.10.0/engines/libmist.so
    00ce2000-00ce3000 r--p 0000a000 08:11 920630 /usr/lib/gtk-2.0/2.10.0/engines/libmist.so
    00ce3000-00ce4000 rw-p 0000b000 08:11 920630 /usr/lib/gtk-2.0/2.10.0/engines/libmist.so
    00ce4000-00cee000 r-xp 00000000 08:11 2097352 /lib/libudev.so.0.9.1
    00cee000-00cef000 r--p 00009000 08:11 2097352 /lib/libudev.so.0.9.1
    00cef000-00cf0000 rw-p 0000a000 08:11 2097352 /lib/libudev.so.0.9.1
    00cf5000-00d28000 r-xp 00000000 08:11 2097308 /lib/libpcre.so.3.12.1
    00d28000-00d29000 r--p 00032000 08:11 2097308 /lib/libpcre.so.3.12.1
    00d29000-00d2a000 rw-p 00033000 08:11 2097308 /lib/libpcre.so.3.12.1
    00d2a000-00d4e000 r-xp 00000000 08:11 412300 /usr/lib/libpangoft2-1.0.so.0.2800.2
    00d4e000-00d4f000 r--p 00023000 08:11 412300 /usr/lib/libpangoft2-1.0.so.0.2800.2
    00d4f000-00d50000 rw-p 00024000 08:11 412300 /usr/lib/libpangoft2-1.0.so.0.2800.2
    00d50000-00d56000 r-xp 00000000 08:11 920137 /usr/lib/gio/modules/libdconfsettings.so
    00d56000-00d57000 r--p 00005000 08:11 920137 /usr/lib/gio/modules/libdconfsettings.so
    00d57000-00d58000 rw-p 00006000 08:11 920137 /usr/lib/gio/modules/libdconfsettings.so
    00d59000-00ded000 r-xp 00000000 08:11 410819 /usr/lib/libgdk-x11-2.0.so.0.2200.0
    00ded000-00dee000 ---p 00094000 08:11 410819 /usr/lib/libgdk-x11-2.0.so.0.2200.0
    00dee000-00df0000 r--p 00094000 08:11 410819 /usr/lib/libgdk-x11-2.0.so.0.2200.0
    00df0000-00df1000 rw-p 00096000 08:11 410819 /usr/lib/libgdk-x11-2.0.so.0.2200.0
    00df7000-00e00000 r-xp 00000000 08:11 2097292 /lib/libnss_nis-2.12.1.so
    00e00000-00e01000 r--p 00008000 08:11 2097292 /lib/libnss_nis-2.12.1.so
    00e01000-00e02000 rw-p 00009000 08:11 2097292 /lib/libnss_nis-2.12.1.so
    00e08000-00e2c000 r-xp 00000000 08:11 2097233 /lib/libexpat.so.1.5.2
    00e2c000-00e2e000 r--p 00024000 08:11 2097233 /lib/libexpat.so.1.5.2
    00e2e000-00e2f000 rw-p 00026000 08:11 2097233 /lib/libexpat.so.1.5.2
    00e39000-00e3b000 r-xp 00000000 08:11 410990 /usr/lib/libgmodule-2.0.so.0.2600.1
    00e3b000-00e3c000 r--p 00002000 08:11 410990 /usr/lib/libgmodule-2.0.so.0.2600.1
    00e3c000-00e3d000 rw-p 00003000 08:11 410990 /usr/lib/libgmodule-2.0.so.0.2600.1
    00e3d000-00e6a000 r-xp 00000000 08:11 920631 /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so
    00e6a000-00e6b000 r--p 0002c000 08:11 920631 /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so
    00e6b000-00e6c000 rw-p 0002d000 08:11 920631 /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so
    00e7c000-00e86000 r-xp 00000000 08:11 2097282 /lib/libnss_files-2.12.1.so
    00e86000-00e87000 r--p 00009000 08:11 2097282 /lib/libnss_files-2.12.1.so
    00e87000-00e88000 rw-p 0000a000 08:11 2097282 /lib/libnss_files-2.12.1.so
    00e88000-00eb2000 r-xp 00000000 08:11 920624 /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
    00eb2000-00eb3000 r--p 00029000 08:11 920624 /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
    00eb3000-00eb4000 rw-p 0002a000 08:11 920624 /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
    00ec5000-00f73000 r-xp 00000000 08:11 410158 /usr/lib/libcairo.so.2.11000.0
    00f73000-00f74000 ---p 000ae000 08:11 410158 /usr/lib/libcairo.so.2.11000.0
    00f74000-00f75000 r--p 000ae000 08:11 410158 /usr/lib/libcairo.so.2.11000.0
    00f75000-00f76000 rw-p 000af000 08:11 410158 /usr/lib/libcairo.so.2.11000.0
    00f76000-00f78000 rw-p 00000000 00:00 0
    00f83000-00f86000 r-xp 00000000 08:11 411242 /usr/lib/libgthread-2.0.so.0.2600.1
    00f86000-00f87000 r--p 00003000 08:11 411242 /usr/lib/libgthread-2.0.so.0.2600.1
    00f87000-00f88000 rw-p 00004000 08:11 411242 /usr/lib/libgthread-2.0.so.0.2600.1
    00f88000-00f9b000 r-xp 00000000 08:11 411322 /usr/lib/libgvfscommon.so.0.0.0
    00f9b000-00f9c000 r--p 00012000 08:11 411322 /usr/lib/libgvfscommon.so.0.0.0
    00f9c000-00f9d000 rw-p 00013000 08:11 411322 /usr/lib/libgvfscommon.so.0.0.0
    00fa8000-00fb6000 r-xp 00000000 08:11 409676 /usr/lib/libXext.so.6.4.0
    00fb6000-00fb7000 r--p 0000d000 08:11 409676 /usr/lib/libXext.so.6.4.0
    00fb7000-00fb8000 rw-p 0000e000 08:11 409676 /usr/lib/libXext.so.6.4.0
    00fca000-00fd4000 r-xp 00000000 08:11 412295 /usr/lib/libpangocairo-1.0.so.0.2800.2
    00fd4000-00fd5000 r--p 00009000 08:11 412295 /usr/lib/libpangocairo-1.0.so.0.2800.2
    00fd5000-00fd6000 rw-p 0000a000 08:11 412295 /usr/lib/libpangocairo-1.0.so.0.2800.2
    00fd6000-00ff9000 r-xp 00000000 08:11 920140 /usr/lib/gio/modules/libgvfsdbus.so
    00ff9000-00ffa000 r--p 00022000 08:11 920140 /usr/lib/gio/modules/libgvfsdbus.so
    00ffa000-00ffb000 rw-p 00023000 08:11 920140 /usr/lib/gio/modules/libgvfsdbus.so
    00ffb000-01035000 r-xp 00000000 08:11 2097216 /lib/libdbus-1.so.3.5.2
    01035000-01036000 r--p 00039000 08:11 2097216 /lib/libdbus-1.so.3.5.2
    01036000-01037000 rw-p 0003a000 08:11 2097216 /lib/libdbus-1.so.3.5.2
    03920000-03931000 r-xp 00000000 08:11 920139 /usr/lib/gio/modules/libgioremote-volume-monitor.so
    03931000-03932000 r--p 00010000 08:11 920139 /usr/lib/gio/modules/libgioremote-volume-monitor.so
    03932000-03933000 rw-p 00011000 08:11 920139 /usr/lib/gio/modules/libgioremote-volume-monitor.so
    06f72000-06f8c000 r-xp 00000000 08:11 2097240 /lib/libgcc_s.so.1
    06f8c000-06f8d000 r--p 00019000 08:11 2097240 /lib/libgcc_s.so.1
    06f8d000-06f8e000 rw-p 0001a000 08:11 2097240 /lib/libgcc_s.so.1
    08048000-0805b000 r-xp 00000000 08:11 1835893 /usr/bin/parcellite
    0805b000-0805c000 r--p 00012000 08:11 1835893 /usr/bin/parcellite
    0805c000-0805d000 rw-p 00013000 08:11 1835893 /usr/bin/parcellite
    09d97000-0a1d3000 rw-p 00000000 00:00 0 [heap]
    b6800000-b6821000 rw-p 00000000 00:00 0
    b6821000-b6900000 ---p 00000000 00:00 0
    b694b000-b696e000 r--p 00000000 08:11 1972536 /usr/share/fonts/truetype/thai/Purisa-Bold.ttf
    b696e000-b69bd000 r--p 00000000 08:11 1972583 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf
    b69bd000-b6a0f000 r--p 00000000 08:11 1972621 /usr/share/fonts/truetype/ubuntu-font-family/Ubuntu-B.ttf
    b6a0f000-b6a6f000 rw-s 00000000 00:04 15040526 /SYSV00000000 (deleted)
    b6a6f000-b6ace000 r--p 00000000 08:11 1972627 /usr/share/fonts/truetype/ubuntu-font-family/Ubuntu-RI.ttf
    b6ace000-b6b0a000 rw-p 00000000 00:00 0
    b6b0b000-b6b62000 r--p 00000000 08:11 1972626 /usr/share/fonts/truetype/ubuntu-font-family/Ubuntu-R.ttf
    b6b62000-b6b63000 r--s 00000000 08:11 4456517 /var/cache/fontconfig/c05880de57d1f5e948fdfacc138775d9-le32d4.cache-3
    b6b63000-b6b69000 r--s 00000000 08:11 4456514 /var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-le32d4.cache-3
    b6b69000-b6b6b000 r--s 00000000 08:11 4456515 /var/cache/fontconfig/99e8ed0e538f840c565b6ed5dad60d56-le32d4.cache-3
    b6b6b000-b6b6e000 r--s 00000000 08:11 4456525 /var/cache/fontconfig/e383d7ea5fbe662a33d9b44caf393297-le32d4.cache-3
    b6b6e000-b6b71000 r--s 00000000 08:11 4456502 /var/cache/fontconfig/2cd17615ca594fa2959ae173292e504c-le32d4.cache-3
    b6b71000-b6b72000 r--s 00000000 08:11 4456526 /var/cache/fontconfig/e7071f4a29fa870f4323321c154eba04-le32d4.cache-3
    b6b72000-b6b75000 r--s 00000000 08:11 4456511 /var/cache/fontconfig/6eb3985aa4124903f6ff08ba781cd364-le32d4.cache-3
    b6b75000-b6b76000 r--s 00000000 08:11 4456506 /var/cache/fontconfig/4c73fe0c47614734b17d736dbde7580a-le32d4.cache-3
    b6b76000-b6b77000 r--s 00000000 08:11 4456498 /var/cache/fontconfig/0d8c3b2ac0904cb8a57a757ad11a4a08-le32d4.cache-3
    b6b77000-b6b78000 r--s 00000000 08:11 4456509 /var/cache/fontconfig/6a53c69dea097a2d716e069445527da8-le32d4.cache-3
    b6b78000-b6b7c000 r--s 00000000 08:11 4456516 /var/cache/fontconfig/a755afe4a08bf5b97852ceb7400b47bc-le32d4.cache-3
    b6b7c000-b6b7f000 r--s 00000000 08:11 4456510 /var/cache/fontconfig/6d41288fd70b0be22e8c3a91e032eec0-le32d4.cache-3
    b6b7f000-b6b82000 r--s 00000000 08:11 4456523 /var/cache/fontconfig/de156ccd2eddbdc19d37a45b8b2aac9c-le32d4.cache-3
    b6b82000-b6b8d000 r--s 00000000 08:11 4456499 /var/cache/fontconfig/0f34bcd4b6ee430af32735b75db7f02b-le32d4.cache-3
    b6b8d000-b6b90000 r--s 00000000 08:11 4456521 /var/cache/fontconfig/d60319d88cac85ba9e1a07bd06cfbb8c-le32d4.cache-3
    b6b90000-b6b91000 r--s 00000000 08:11 4456504 /var/cache/fontconfig/4794a0821666d79190d59a36cb4f44b5-le32d4.cache-3
    b6b91000-b6b99000 r--s 00000000 08:11 4456520 /var/cache/fontconfig/d52a8644073d54c13679302ca1180695-le32d4.cache-3
    b6b99000-b6bf9000 rw-s 00000000 00:04 15007746 /SYSV00000000 (deleted)
    b6bf9000-b6c1a000 r--s 00000000 08:11 1441850 /usr/share/mime/mime.cache
    b6c1a000-b761d000 r--p 00000000 08:11 2229800 /usr/share/icons/hicolor/icon-theme.cache
    b761d000-b781d000 r--p 00000000 08:11 799419 /usr/lib/locale/locale-archive
    b781d000-b7828000 rw-p 00000000 00:00 0
    b782c000-b7834000 r--s 00000000 08:11 4456524 /var/cache/fontconfig/e13b20fdb08344e0e664864cc2ede53d-le32d4.cache-3
    b7834000-b7838000 r--s 00000000 08:11 4456513 /var/cache/fontconfig/7ef2298fde41cc6eeb7af42e48b7d293-le32d4.cache-3
    b7838000-b7839000 r--s 00000000 08:11 4456507 /var/cache/fontconfig/573ec803664ed168555e0e8b6d0f0c7f-le32d4.cache-3
    b7839000-b783a000 r--p 00000000 08:11 1709980 /usr/share/locale-langpack/en_GB/LC_MESSAGES/gdk-pixbuf.mo
    b783a000-b783f000 r--p 00000000 08:11 2363531 /usr/share/locale/en_GB/LC_MESSAGES/gdk-pixbuf.mo
    b783f000-b7840000 r--s 00000000 08:11 1048943 /usr/share/gnome/mime/mime.cache
    b7840000-b7841000 r--s 00000000 08:11 1966851 /root/.local/share/mime/mime.cache
    b7841000-b7844000 r--p 00000000 08:11 1709996 /usr/share/locale-langpack/en_GB/LC_MESSAGES/glib20.mo
    b7844000-b784b000 r--s 00000000 08:11 798035 /usr/lib/gconv/gconv-modules.cache
    b784b000-b784f000 r--p 00000000 08:11 1710038 /usr/share/locale-langpack/en_GB/LC_MESSAGES/gtk20-properties.mo
    b784f000-b7850000 r--p 00000000 08:11 1710087 /usr/share/locale-langpack/en_GB/LC_MESSAGES/libc.mo
    b7850000-b7852000 r--p 00000000 08:11 1710039 /usr/share/locale-langpack/en_GB/LC_MESSAGES/gtk20.mo
    b7852000-b7853000 r--p 00299000 08:11 799419 /usr/lib/locale/locale-archive
    b7853000-b7855000 rw-p 00000000 00:00 0
    bf9db000-bf9fc000 rw-p 00000000 00:00 0 [stack]

     
  • katiem
    katiem
    2013-09-30

    Ok, another reproducible error (just exits with 'Oops. Shouldn't be here either')...

    Clear the clipboard. Select a word of text (I'll use the single word "whatever" here). Left click on the parcellite icon and click on the entry "whatever". Next click on 'edit clipboard' (below the entry "whatever"). When the 'editing clipboard' dialogue appears, remove the word "whatever". The "whatever" menu item entry is removed as expected. Yet clicking on 'edit clipboard' brings the 'editing clipboard' dialogue up containing the word "whatever" (unexpected as supposedly removed?). Clearing the word "whatever" and clicking OK causes parcellite to disappear from the tray.

     
  • rickyrockrat
    rickyrockrat
    2013-10-01

    So I think I got most of the segfaults in SVN 473. You will see whatever is in the clipboard, if you empty the history, then select Edit.
    If you go to preferences and uncheck the 'restore empty' box this won't happen.

    Not sure what to do about this one - ideally, I should re-add whatever is on the clipboard to the history when 'restore empty' is checked, since I restore the last thing that was on the clipboard before it went empty.

    Or, I could just let the clipboard be empty.

     
    Last edit: rickyrockrat 2013-10-01
  • katiem
    katiem
    2013-10-01

    Thank you for all the fixes!

    Best regards.

     
  • rickyrockrat
    rickyrockrat
    2014-07-18

    • status: accepted --> closed-fixed
     
  • rickyrockrat
    rickyrockrat
    2014-07-18

    Pretty sure this one is gone.